Bug 865499 (CVE-2012-4518)

Summary: CVE-2012-4518 ibacm: ibacm service files created with world writable permissions (DoS)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dledford, fweimer, honli, jrusnack, kseifried
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20121009,reported=20121010,source=redhat,cvss2=2.1/AV:L/AC:L/Au:N/C:N/I:N/A:P,rhel-6/ibacm=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 866223 (view as bug list) Environment:
Last Closed: 2015-08-21 19:37:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 866223    
Bug Blocks: 855229, 865513, 887005    

Description Jan Lieskovsky 2012-10-11 11:29:37 EDT
A security flaw was found in the way ibacm, an InfiniBand communication manager assistant, created files used by ib_acm service - they were created with world writable permissions. A local attacker could use this flaw to 1) overwrite content of ib_acm daemon log file or 2) overwrite content of ib_acm daemon ibacm.port file (ability to mask certain actions or cause ib_acm to run on non-default port).

Upstream patch:
[1] http://git.openfabrics.org/git?p=~shefty/ibacm.git;a=commit;h=d204fca2b6298d7799e918141ea8e11e7ad43cec

Acknowledgements:

This issue was discovered by Florian Weimer of Red Hat Product Security Team and Kurt Seifried of the Red Hat Security Response Team.
Comment 1 Jan Lieskovsky 2012-10-11 11:35:05 EDT
This issue affects the version of the ibacm package, as shipped with Red Hat Enterprise Linux 6.
Comment 2 Jan Lieskovsky 2012-10-11 11:52:11 EDT
CVE Request:
[2] http://www.openwall.com/lists/oss-security/2012/10/11/6
Comment 3 Vincent Danen 2012-10-11 17:18:12 EDT
This was assigned CVE-2012-4518.
Comment 5 Kurt Seifried 2012-12-15 23:33:07 EST
*** Bug 887004 has been marked as a duplicate of this bug. ***
Comment 7 errata-xmlrpc 2013-02-21 04:48:56 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0509 https://rhn.redhat.com/errata/RHSA-2013-0509.html
Comment 8 Huzaifa S. Sidhpurwala 2013-02-21 23:47:03 EST
Statement:

(none)